Package org.lwjgl.opengl

# Class ARBShaderSubroutine

java.lang.Object
org.lwjgl.opengl.ARBShaderSubroutine

public final class ARBShaderSubroutine extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ACTIVE_SUBROUTINE_MAX_LENGTH`
Accepted by the <pname> parameter of GetProgramStageiv:
`static final int`
`GL_ACTIVE_SUBROUTINE_UNIFORM_LOCATIONS`
Accepted by the <pname> parameter of GetProgramStageiv:
`static final int`
`GL_ACTIVE_SUBROUTINE_UNIFORM_MAX_LENGTH`
Accepted by the <pname> parameter of GetProgramStageiv:
`static final int`
`GL_ACTIVE_SUBROUTINE_UNIFORMS`
Accepted by the <pname> parameter of GetProgramStageiv:
`static final int`
`GL_ACTIVE_SUBROUTINES`
Accepted by the <pname> parameter of GetProgramStageiv:
`static final int`
`GL_COMPATIBLE_SUBROUTINES`
Accepted by the <pname> parameter of GetActiveSubroutineUniformiv:
`static final int`
`GL_MAX_SUBROUTINE_UNIFORM_LOCATIONS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_MAX_SUBROUTINES`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_NUM_COMPATIBLE_SUBROUTINES`
Accepted by the <pname> parameter of GetActiveSubroutineUniformiv:

## Method Summary

Modifier and Type
Method
Description
`static String`
`glGetActiveSubroutineName(int program, int shadertype, int index, int bufsize)`
Overloads glGetActiveSubroutineName.
`static void`
`glGetActiveSubroutineName(int program, int shadertype, int index, IntBuffer length, ByteBuffer name)`
`static void`
`glGetActiveSubroutineUniform(int program, int shadertype, int index, int pname, IntBuffer values)`
`static int`
`glGetActiveSubroutineUniformi(int program, int shadertype, int index, int pname)`
Overloads glGetActiveSubroutineUniformiv.
`static String`
`glGetActiveSubroutineUniformName(int program, int shadertype, int index, int bufsize)`
Overloads glGetActiveSubroutineUniformName.
`static void`
`glGetActiveSubroutineUniformName(int program, int shadertype, int index, IntBuffer length, ByteBuffer name)`
`static void`
`glGetProgramStage(int program, int shadertype, int pname, IntBuffer values)`
`static int`
`glGetProgramStagei(int program, int shadertype, int pname)`
Overloads glGetProgramStageiv.
`static int`
`glGetSubroutineIndex(int program, int shadertype, CharSequence name)`
Overloads glGetSubroutineIndex.
`static int`
`glGetSubroutineIndex(int program, int shadertype, ByteBuffer name)`
`static int`
`glGetSubroutineUniformLocation(int program, int shadertype, CharSequence name)`
Overloads glGetSubroutineUniformLocation.
`static int`
`glGetSubroutineUniformLocation(int program, int shadertype, ByteBuffer name)`
`static void`
`glGetUniformSubroutineu(int shadertype, int location, IntBuffer params)`
`static int`
`glGetUniformSubroutineui(int shadertype, int location)`
Overloads glGetUniformSubroutineuiv.
`static void`
`glUniformSubroutinesu(int shadertype, IntBuffer indices)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_ACTIVE_SUBROUTINES

public static final int GL_ACTIVE_SUBROUTINES
Accepted by the <pname> parameter of GetProgramStageiv:

See Also:
  - Constant Field Values

### GL_ACTIVE_SUBROUTINE_UNIFORMS

public static final int GL_ACTIVE_SUBROUTINE_UNIFORMS
Accepted by the <pname> parameter of GetProgramStageiv:

See Also:
  - Constant Field Values

### GL_ACTIVE_SUBROUTINE_UNIFORM_LOCATIONS

public static final int GL_ACTIVE_SUBROUTINE_UNIFORM_LOCATIONS
Accepted by the <pname> parameter of GetProgramStageiv:

See Also:
  - Constant Field Values

### GL_ACTIVE_SUBROUTINE_MAX_LENGTH

public static final int GL_ACTIVE_SUBROUTINE_MAX_LENGTH
Accepted by the <pname> parameter of GetProgramStageiv:

See Also:
  - Constant Field Values

### GL_ACTIVE_SUBROUTINE_UNIFORM_MAX_LENGTH

public static final int GL_ACTIVE_SUBROUTINE_UNIFORM_MAX_LENGTH
Accepted by the <pname> parameter of GetProgramStageiv:

See Also:
  - Constant Field Values

### GL_MAX_SUBROUTINES

public static final int GL_MAX_SUBROUTINES
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_SUBROUTINE_UNIFORM_LOCATIONS

public static final int GL_MAX_SUBROUTINE_UNIFORM_LOCATIONS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_NUM_COMPATIBLE_SUBROUTINES

public static final int GL_NUM_COMPATIBLE_SUBROUTINES
Accepted by the <pname> parameter of GetActiveSubroutineUniformiv:

See Also:
  - Constant Field Values

### GL_COMPATIBLE_SUBROUTINES

public static final int GL_COMPATIBLE_SUBROUTINES
Accepted by the <pname> parameter of GetActiveSubroutineUniformiv:

See Also:
  - Constant Field Values

## Method Details

### glGetSubroutineUniformLocation

public static int glGetSubroutineUniformLocation(int program, int shadertype, ByteBuffer name)

### glGetSubroutineUniformLocation

public static int glGetSubroutineUniformLocation(int program, int shadertype, CharSequence name)
Overloads glGetSubroutineUniformLocation.

### glGetSubroutineIndex

public static int glGetSubroutineIndex(int program, int shadertype, ByteBuffer name)

### glGetSubroutineIndex

public static int glGetSubroutineIndex(int program, int shadertype, CharSequence name)
Overloads glGetSubroutineIndex.

### glGetActiveSubroutineUniform

public static void glGetActiveSubroutineUniform(int program, int shadertype, int index, int pname, IntBuffer values)

### glGetActiveSubroutineUniformi

public static int glGetActiveSubroutineUniformi(int program, int shadertype, int index, int pname)
Overloads glGetActiveSubroutineUniformiv.

### glGetActiveSubroutineUniformName

public static void glGetActiveSubroutineUniformName(int program, int shadertype, int index, IntBuffer length, ByteBuffer name)

### glGetActiveSubroutineUniformName

public static String glGetActiveSubroutineUniformName(int program, int shadertype, int index, int bufsize)
Overloads glGetActiveSubroutineUniformName.

### glGetActiveSubroutineName

public static void glGetActiveSubroutineName(int program, int shadertype, int index, IntBuffer length, ByteBuffer name)

### glGetActiveSubroutineName

public static String glGetActiveSubroutineName(int program, int shadertype, int index, int bufsize)
Overloads glGetActiveSubroutineName.

### glUniformSubroutinesu

public static void glUniformSubroutinesu(int shadertype, IntBuffer indices)

### glGetUniformSubroutineu

public static void glGetUniformSubroutineu(int shadertype, int location, IntBuffer params)

### glGetUniformSubroutineui

public static int glGetUniformSubroutineui(int shadertype, int location)
Overloads glGetUniformSubroutineuiv.

### glGetProgramStage

public static void glGetProgramStage(int program, int shadertype, int pname, IntBuffer values)

### glGetProgramStagei

public static int glGetProgramStagei(int program, int shadertype, int pname)
Overloads glGetProgramStageiv.